%global dlrn_nvr python-dracclient-8.0.1.dev7-0.20240925164149.da7647f
%global dlrn 1
%define upstream_version 8.0.1.dev7
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x2426b928085a020d8a90d0d879ab7008d0896c8a
%{!?upstream_version: %global upstream_version %{version}}
# we are excluding some BRs from automatic generator
%global excluded_brs doc8 bandit pre-commit hacking flake8-import-order sphinx openstackdocstheme

Name:           python-dracclient
Version: 8.0.1
Release: 0.20240925164149.da7647f%{?dist}
Summary:        Library for managing machines with Dell iDRAC cards.

License:        Apache-2.0
URL:            http://github.com/openstack/%{name}
Source0: python-dracclient-8.0.1.dev7-0.20240925164149.da7647f.tar.gz
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{name}/%{name}-%{version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif


BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

%description
Library for managing machines with Dell iDRAC cards.

%package -n     python3-dracclient
Summary:        Library for managing machines with Dell iDRAC cards.

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
%description -n     python3-dracclient
Library for managing machines with Dell iDRAC cards.

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{name}-%{upstream_version} -S git

sed -i /^[[:space:]]*-c{env:.*_CONSTRAINTS_FILE.*/d tox.ini
sed -i "s/^deps = -c{env:.*_CONSTRAINTS_FILE.*/deps =/" tox.ini
sed -i /^minversion.*/d tox.ini
sed -i /^requires.*virtualenv.*/d tox.ini

# Exclude some bad-known BRs
for pkg in %{excluded_brs}; do
  for reqfile in doc/requirements.txt test-requirements.txt; do
    if [ -f $reqfile ]; then
      sed -i /^${pkg}.*/d $reqfile
    fi
  done
done

%generate_buildrequires
%pyproject_buildrequires -t -e %{default_toxenv}

%build
%pyproject_wheel

%install
%pyproject_install

%check
%tox -e %{default_toxenv}

%files -n     python3-dracclient
%doc README.rst LICENSE
%{python3_sitelib}/dracclient*
%{python3_sitelib}/python_dracclient*

%changelog
